SNA

Create a session

Create an agent session record without starting a process.

POST
/agent/sessions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/sessions" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "created",
  "sessionId": "string",
  "label": "string",
  "meta": {
    "property1": null,
    "property2": null
  }
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}